# Nextcloud

> Nextcloud server, a safe home for all your data
>
> Nextcloud est un logiciel libre, de site d'hébergement de fichiers, et un fork
> du logiciel ownCloud. À l'origine accessible via WebDAV, n'importe quel
> navigateur web, ou des clients spécialisés, son architecture ouverte a permis
> de voir ses fonctionnalités s'étendre depuis ses origines. Fin 2018, il
> propose de nombreux services.
>
> -- <cite>[Github][github]</cite>

On peut trouver [la documentation ici][documentation].

## Aide

```sh
docker exec --user www-data -it nextcloud bash

docker-compose exec --user www-data nextcloud php occ db:add-missing-primary-keys
```

## TODO

- [x] Mise en place d'une sauvegarde / restauration de sauvegarde
- [x] crontab https://docs.nextcloud.com//server/latest/admin_manual/configuration_server/background_jobs_configuration.html#cron
- [x] Ajouter un redis : https://www.it-connect.fr/nextcloud-activer-et-configurer-le-cache-redis/
- [ ] Ajout des informations SMTP
- [ ] Prendre les bonnes pratique sur https://github.com/crazy-max/docker-nextcloud/blob/master/examples/traefik/docker-compose.yml

[github]: https://github.com/nextcloud/server
[documentation]: https://docs.nextcloud.com/server/latest/admin_manual/contents.html
[backup]: https://docs.nextcloud.com/server/latest/admin_manual/maintenance/backup.html
[restore]: https://docs.nextcloud.com/server/latest/admin_manual/maintenance/restore.html
